package cn.com.qmth.stmms.biz.exam.query;

import org.springframework.data.domain.Sort;
import org.springframework.data.domain.Sort.Direction;

import cn.com.qmth.stmms.biz.common.BaseQuery;
import cn.com.qmth.stmms.biz.exam.model.ExamStudent;

public class ExamStudentSearchQuery extends BaseQuery<ExamStudent> {

    private Integer examId;

    private String campusName;

    private String name;

    private String examNumber;

    private String examNumberIn;

    private String studentCode;

    private String subjectCode;

    private String batchCode;

    private String packageCode;

    private String subjectLevel;

    private String subjectCategory;

    private Double objectiveScore;

    private Double objectiveScoreGt;

    private Double objectiveScoreLt;

    private Double subjectiveScore;

    private Double subjectiveScoreGt;

    private Double subjectiveScoreLt;

    private Boolean upload;

    private Boolean absent;

    private Boolean manualAbsent;

    private Boolean exception;

    private String campusNameIn;

    private String subjectCodeIn;

    private String campusNameNotIn;

    private String subjectCodeNotIn;

    private String markLogin;

    private String markName;

    private String ids;

    private Double startScroe;

    private Double endScroe;

    private Boolean breach;

    public void orderByExamNumber() {
        setSort(new Sort(Direction.ASC, "examNumber"));
    }

    public Integer getExamId() {
        return examId;
    }

    public void setExamId(Integer examId) {
        this.examId = examId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public String getExamNumber() {
        return examNumber;
    }

    public void setExamNumber(String examNumber) {
        this.examNumber = examNumber;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public Boolean getUpload() {
        return upload;
    }

    public void setUpload(Boolean upload) {
        this.upload = upload;
    }

    public Boolean getAbsent() {
        return absent;
    }

    public void setAbsent(Boolean absent) {
        this.absent = absent;
    }

    public String getCampusName() {
        return campusName;
    }

    public void setCampusName(String campusName) {
        this.campusName = campusName;
    }

    public String getBatchCode() {
        return batchCode;
    }

    public void setBatchCode(String batchCode) {
        this.batchCode = batchCode;
    }

    public String getPackageCode() {
        return packageCode;
    }

    public void setPackageCode(String packageCode) {
        this.packageCode = packageCode;
    }

    public Boolean getException() {
        return exception;
    }

    public void setException(Boolean exception) {
        this.exception = exception;
    }

    public Double getObjectiveScore() {
        return objectiveScore;
    }

    public void setObjectiveScore(Double objectiveScore) {
        this.objectiveScore = objectiveScore;
    }

    public Double getObjectiveScoreGt() {
        return objectiveScoreGt;
    }

    public void setObjectiveScoreGt(Double objectiveScoreGt) {
        this.objectiveScoreGt = objectiveScoreGt;
    }

    public Double getSubjectiveScore() {
        return subjectiveScore;
    }

    public void setSubjectiveScore(Double subjectiveScore) {
        this.subjectiveScore = subjectiveScore;
    }

    public Double getSubjectiveScoreGt() {
        return subjectiveScoreGt;
    }

    public void setSubjectiveScoreGt(Double subjectiveScoreGt) {
        this.subjectiveScoreGt = subjectiveScoreGt;
    }

    public String getSubjectLevel() {
        return subjectLevel;
    }

    public void setSubjectLevel(String subjectLevel) {
        this.subjectLevel = subjectLevel;
    }

    public String getSubjectCategory() {
        return subjectCategory;
    }

    public void setSubjectCategory(String subjectCategory) {
        this.subjectCategory = subjectCategory;
    }

    public Double getObjectiveScoreLt() {
        return objectiveScoreLt;
    }

    public void setObjectiveScoreLt(Double objectiveScoreLt) {
        this.objectiveScoreLt = objectiveScoreLt;
    }

    public Double getSubjectiveScoreLt() {
        return subjectiveScoreLt;
    }

    public void setSubjectiveScoreLt(Double subjectiveScoreLt) {
        this.subjectiveScoreLt = subjectiveScoreLt;
    }

    public String getCampusNameIn() {
        return campusNameIn;
    }

    public void setCampusNameIn(String campusNameIn) {
        this.campusNameIn = campusNameIn;
    }

    public String getSubjectCodeIn() {
        return subjectCodeIn;
    }

    public void setSubjectCodeIn(String subjectCodeIn) {
        this.subjectCodeIn = subjectCodeIn;
    }

    public String getCampusNameNotIn() {
        return campusNameNotIn;
    }

    public void setCampusNameNotIn(String campusNamesNotIn) {
        this.campusNameNotIn = campusNamesNotIn;
    }

    public String getSubjectCodeNotIn() {
        return subjectCodeNotIn;
    }

    public void setSubjectCodeNotIn(String subjectCodesNotIn) {
        this.subjectCodeNotIn = subjectCodesNotIn;
    }

    public String getExamNumberIn() {
        return examNumberIn;
    }

    public void setExamNumberIn(String examNumberIn) {
        this.examNumberIn = examNumberIn;
    }

    public String getMarkLogin() {
        return markLogin;
    }

    public void setMarkLogin(String markLogin) {
        this.markLogin = markLogin;
    }

    public String getMarkName() {
        return markName;
    }

    public void setMarkName(String markName) {
        this.markName = markName;
    }

    public String getIds() {
        return ids;
    }

    public void setIds(String ids) {
        this.ids = ids;
    }

    public Double getStartScroe() {
        return startScroe;
    }

    public void setStartScroe(Double startScroe) {
        this.startScroe = startScroe;
    }

    public Double getEndScroe() {
        return endScroe;
    }

    public void setEndScroe(Double endScroe) {
        this.endScroe = endScroe;
    }

    public Boolean getBreach() {
        return breach;
    }

    public void setBreach(Boolean breach) {
        this.breach = breach;
    }

    public Boolean getManualAbsent() {
        return manualAbsent;
    }

    public void setManualAbsent(Boolean manualAbsent) {
        this.manualAbsent = manualAbsent;
    }
}
